Package org.snpeff.complexity

# Class SequenceComplexity

java.lang.Object
org.snpeff.complexity.SequenceComplexity

public class SequenceComplexity extends Object
Measures the complexity of a sequence Ideally we'd like to measure the Kolmogorov complexity of the sequence. Unfortunately it is not a computable function (see http://en.wikipedia.org/wiki/Kolmogorov_complexity)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SequenceComplexity()`

## Method Summary

Modifier and Type
Method
Description
`int`
`complexity(String seq)`
Measure string's complexity
`double`
`ratio(String seq)`
Measure string's complexity ratio.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SequenceComplexity

public SequenceComplexity()

## Method Details

### complexity

public int complexity(String seq)
Measure string's complexity

### ratio

public double ratio(String seq)
Measure string's complexity ratio. I.e. complexity(seq) / seq.length